List All Category Printings

This endpoint returns all available printings associated with the specified category.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns all of the different printing options for a specific product line. For some products that means Foil and Normal, but other products can have more or fewer options.

{
    "success": true,
    "errors": [],
    "results": [
        {
            "printingId": integer,
            "name": "string",
            "displayOrder": integer,
            "modifiedOn": "datetime"
        },
        {
            "printingId": integer,
            "name": "string",
            "displayOrder": integer,
            "modifiedOn": "datetime"
        }
    ]
}
/catalog/categories/1/printings

{
    "success": true,
    "errors": [],
    "results": [
        {
            "printingId": 1,
            "name": "Normal",
            "displayOrder": 1,
            "modifiedOn": "2013-04-03T11:43:38.8"
        },
        {
            "printingId": 2,
            "name": "Foil",
            "displayOrder": 2,
            "modifiedOn": "2013-04-03T11:43:38.8"
        }
    ]
}
/catalog/categories/5/printings

{
    "success": true,
    "errors": [],
    "results": [
        {
            "printingId": 13,
            "name": "Normal",
            "displayOrder": 1,
            "modifiedOn": "2013-04-03T11:43:38.8"
        }
    ]
}
Path Params
int32
required

The Id of the category whose printings should be returned.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

400

CategoryId is less than or equal to 0.

404

Category could not be found or no printings found.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/json